import { BehaviorSubject } from 'rxjs';
import { services } from 'typescript-angular-utilities';
import __notification = services.notification;
import { CardContainerComponent } from '../cardContainer';
import { FormComponent, IBaseFormInputs } from '../../form/form';
import { AsyncHelper } from '../../../services/async/async.service';
import { FormService } from '../../../services/form/form.service';
import { ColumnContentTemplate } from '../templates/index';
export interface ICardInputs extends IBaseFormInputs {
    item: string;
}
export declare const cardInputs: ICardInputs;
export declare class CardComponent<T> extends FormComponent {
    item: T;
    permanentFooter: boolean;
    initCard: {
        (): void;
    };
    clickCard: {
        (): void;
    };
    showContent$: BehaviorSubject<boolean>;
    cardContainer: CardContainerComponent<T>;
    constructor(notification: __notification.NotificationService, asyncHelper: AsyncHelper, formService: FormService, guidService: services.guid.GuidService, parentForm: FormComponent, cardContainer: CardContainerComponent<T>);
    toggleContent(): void;
    open(): void;
    close(): boolean;
    remove(): void;
    saveForm(): any;
    getColumnTemplate(columnName: string): ColumnContentTemplate;
}
